﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using dotNetApp.Models;

namespace dotNetApp.Controllers
{
    public class EventoController : Controller
    {
        //
        // GET: /Evento/

        //Executa quando entra pela url
        [HttpGet]
        public ActionResult Cadastro()
        {
            return View();
        }
        //Executa no submit
        [HttpPost]
        public ActionResult Cadastro(FormCollection frmCollection)
        {
            Evento evento = new Evento();
            UpdateModel(evento, frmCollection.ToValueProvider());

            EventoRepositorio evtRepo = new EventoRepositorio();            
            evtRepo.Insere(evento);

            return RedirectToAction("Index");
        }
        
        [HttpGet]
        public ActionResult Edicao(int id)
        {
            EventoRepositorio evtRepo = new EventoRepositorio();
            Evento aux = evtRepo.Carrega(id);

            return View("Edicao", aux);
        }
        [HttpPost]
        public ActionResult Edicao(FormCollection frmCollection)
        {
            Evento evento = new Evento();
            UpdateModel(evento, frmCollection.ToValueProvider());

            EventoRepositorio evtRepo = new EventoRepositorio();
            evtRepo.Atualiza(evento);

            return RedirectToAction("Index");
        }


        public ActionResult Index()
        {
            IList<Evento> eventos = EventoRepositorio.Eventos;
            return View(eventos);
        }

        public ActionResult Delete(int id)
        {
            EventoRepositorio evtRepo = new EventoRepositorio();
            evtRepo.Delete(id);

            return RedirectToAction("Index");
        }

        

    }
}
